from utility import Struct

from os.path import isdir
from os import mkdir
from os.path import join as osjoin
from re import compile


dogs = ["Billy","Eddy","Oliver","Quinn","Zack"]
mass = [29.0,10.5,26.0,32.0,20.0]
morph = [0.90178718919370005,
 0.68640405652416603,
 0.87031302879626959,
 0.89791020723991366,
 0.83972394063656175]

def glbOptions(dog):
  if dog is None:
    dog = "Zack"
  glb=Struct()
  glb.M=1.0
  glb.sigmaSlow=1.0
  glb.sigmaFast=0.3
  glb.snoise=0.1
  glb.sfac=2
  glb.minStrideFreq = 0.6
  glb.eps = 1e-7
  glb.lowFreq = 1.0
  glb.highFreq = 20.0
  glb.NgPPts=500
  glb.hilbertCut = 50
  glb.ordP = 30
  glb.floorCond = 0.997
  glb.beltFilterFreq = 0.5
  glb.minTrainLength = 500
  glb.dog = dog
  glb.makePlots = False
  glb.reTraining=compile("Trot|Walk")
  glb.niceSignals = [0,3,15,17,18,21,23,24]
  glb.NPC = 2
  glb.cut = 50
  glb.basePath = "data"
  glb.usePhaser = True
  glb.minPhaserLen = 500
  
  if dog=="Oliver":
    glb.dataDir = osjoin(glb.basePath,"gaitTrans20110224_0")
  
  if dog=="Quinn":
    glb.dataDir = osjoin(glb.basePath,"gaitTrans20110228")
  
  if dog=="Eddy":
    glb.dataDir = osjoin(glb.basePath,"gaitTrans24032011_0")
    
  if dog=="Billy":
    glb.dataDir = osjoin(glb.basePath,"gaitTrans24032011_1")
  
  if dog=="Zack":
    glb.dataDir = osjoin(glb.basePath,"gaitTrans07022011")
  return(glb)

def getDirs(dog,dataDir):
  # Directories
  baseDir = osjoin(dataDir,"processed") 
  outDir = osjoin(baseDir,dog)
  intDir = osjoin(outDir,"interpolated")
  logDir = osjoin(outDir,"log")
  plotDir = osjoin(outDir,"plot")

  # Create directories if they don't exist
  if not isdir(baseDir):
    mkdir(baseDir)
  if not isdir(outDir):
    mkdir(outDir)
  if not isdir(intDir):
    mkdir(intDir)
  if not isdir(logDir):
    mkdir(logDir)
  if not isdir(plotDir):
    mkdir(plotDir)
  
  return(dataDir,baseDir,outDir,intDir,logDir,plotDir)

